Module java.base
Package java.nio.channels

## Class FileChannel.MapMode

- java.lang.Object
- - java.nio.channels.FileChannel.MapMode

Enclosing class:
  FileChannel

    public static class FileChannel.MapMode
    extends Object

A typesafe enumeration for file-mapping modes.

Since:
  1.4
See Also:
  `FileChannel.map(java.nio.channels.FileChannel.MapMode, long, long)`

### Field Summary

Fields
`static FileChannel.MapMode` `PRIVATE` Mode for a private (copy-on-write) mapping.
`static FileChannel.MapMode` `READ_ONLY` Mode for a read-only mapping.
`static FileChannel.MapMode` `READ_WRITE` Mode for a read/write mapping.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string describing this file-mapping mode.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### READ_ONLY

    public static final FileChannel.MapMode READ_ONLY

Mode for a read-only mapping.

#### READ_WRITE

    public static final FileChannel.MapMode READ_WRITE

Mode for a read/write mapping.

#### PRIVATE

    public static final FileChannel.MapMode PRIVATE

Mode for a private (copy-on-write) mapping.

### Method Detail

#### toString

    public String toString()

Returns a string describing this file-mapping mode.

Overrides:
  `toString` in class `Object`
Returns:
  A descriptive string